org.eclipse.wst.jsdt.chromium.debug.ui

## Interface DialogUtils.Optional<V>

Enclosing class:
  DialogUtils

    public static interface DialogUtils.Optional<V>

A primitive approach to "optional" algebraic type. This type is T + Set<Message>.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Set<? extends DialogUtils.Message>` `errorMessages()`
`V` `getNormal()`
`boolean` `isNormal()`

### Method Detail

#### getNormal

    V getNormal()

#### isNormal

    boolean isNormal()

#### errorMessages

    java.util.Set<? extends DialogUtils.Message> errorMessages()